### Method

# GtkSource Completion add_provider

#### Declaration [src]

    void
    gtk_source_completion_add_provider (
      GtkSourceCompletion* self,
      GtkSourceCompletionProvider* provider
    )

#### Description [src]

Adds a `GtkSourceCompletionProvider` to the list of providers to be queried for completion results.

#### Parameters

`provider`

  Type: `GtkSourceCompletionProvider`

  A `GtkSourceCompletionProvider`.

  The data is owned by the caller of the method.